[Yandex Cloud documentation](../../../../index.md) > [Yandex Compute Cloud](../../../index.md) > API reference > [gRPC](../index.md) > [HostGroup](index.md) > List

# Compute Cloud API, gRPC: HostGroupService.List

Retrieves the list of host groups in the specified folder.

## gRPC request

**rpc List ([ListHostGroupsRequest](#yandex.cloud.compute.v1.ListHostGroupsRequest)) returns ([ListHostGroupsResponse](#yandex.cloud.compute.v1.ListHostGroupsResponse))**

## ListHostGroupsRequest {#yandex.cloud.compute.v1.ListHostGroupsRequest}

```json
{
  "folder_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string",
  "order_by": "string"
}
```

#|
||Field | Description ||
|| folder_id | **string**

ID of the folder to list host groups in.
To get the folder ID, use [yandex.cloud.resourcemanager.v1.FolderService.List](../../../../resource-manager/api-ref/grpc/Folder/list.md#List) request.
The length must be less than or equal to 50.
This field is required. ||
|| page_size | **int64**

The maximum number of results per page to return. If the number of available
results is larger than `page_size`,
the service returns a [ListHostGroupsResponse.next_page_token](#yandex.cloud.compute.v1.ListHostGroupsResponse)
that can be used to get the next page of results in subsequent list requests.
The value must be less than or equal to 1000. ||
|| page_token | **string**

Page token. To get the next page of results,
set `page_token` to the [ListHostGroupsResponse.next_page_token](#yandex.cloud.compute.v1.ListHostGroupsResponse)
returned by a previous list request.
The length must be less than or equal to 100. ||
|| filter | **string**

A filter expression that filters resources listed in the response.
The expression consists of one or more conditions united by `AND` operator: `<condition1> [AND <condition2> [<...> AND <conditionN>]]`.
Each condition has the form `<field> <operator> <value>`, where:
1. `<field>` is the field name. Currently you can use filtering only on the limited number of fields.
2. `<operator>` is a logical operator, one of `=`, `!=`, `IN`, `NOT IN`.
3. `<value>` represents a value.
String values should be written in double (`"`) or single (`'`) quotes. C-style escape sequences are supported (`\"` turns to `"`, `\'` to `'`, `\\` to backslash).
The length must be less than or equal to 1000. ||
|| order_by | **string**

By which column the listing should be ordered and in which direction,
format is "createdAt desc". "id asc" if omitted.
The default sorting order is ascending
The length must be less than or equal to 100. ||
|#

## ListHostGroupsResponse {#yandex.cloud.compute.v1.ListHostGroupsResponse}

```json
{
  "host_groups": [
    {
      "id": "string",
      "folder_id": "string",
      "created_at": "google.protobuf.Timestamp",
      "name": "string",
      "description": "string",
      "labels": "map<string, string>",
      "zone_id": "string",
      "status": "Status",
      "type_id": "string",
      "maintenance_policy": "MaintenancePolicy",
      "scale_policy": {
        // Includes only one of the fields `fixed_scale`
        "fixed_scale": {
          "size": "int64"
        }
        // end of the list of possible fields
      }
    }
  ],
  "next_page_token": "string"
}
```

#|
||Field | Description ||
|| host_groups[] | **[HostGroup](#yandex.cloud.compute.v1.HostGroup)**

Lists host groups for the specified folder. ||
|| next_page_token | **string**

This token allows you to get the next page of results for list requests. If the number of results
is larger than [ListHostGroupsRequest.page_size](#yandex.cloud.compute.v1.ListHostGroupsRequest), use
`next_page_token` as the value
for the [ListHostGroupsRequest.page_token](#yandex.cloud.compute.v1.ListHostGroupsRequest) query parameter
in the next list request. Each subsequent list request will have its own
`next_page_token` to continue paging through the results. ||
|#

## HostGroup {#yandex.cloud.compute.v1.HostGroup}

Represents group of dedicated hosts

#|
||Field | Description ||
|| id | **string**

ID of the group. ||
|| folder_id | **string**

ID of the folder that the group belongs to. ||
|| created_at | **[google.protobuf.Timestamp](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#timestamp)**

Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. ||
|| name | **string**

Name of the group. The name is unique within the folder. ||
|| description | **string**

Description of the group. ||
|| labels | **object** (map<**string**, **string**>)

Resource labels as `key:value` pairs. ||
|| zone_id | **string**

Availability zone where all dedicated hosts are allocated. ||
|| status | enum **Status**

Status of the group.

- `CREATING`
- `READY`
- `UPDATING`
- `DELETING` ||
|| type_id | **string**

ID of host type. Resources provided by each host of the group. ||
|| maintenance_policy | enum **MaintenancePolicy**

Behaviour on maintenance events.

- `RESTART`: Restart instance to move it to another host during maintenance
- `MIGRATE`: Use live migration to move instance to another host during maintenance ||
|| scale_policy | **[ScalePolicy](#yandex.cloud.compute.v1.ScalePolicy)**

Scale policy. Only fixed number of hosts are supported at this moment. ||
|#

## ScalePolicy {#yandex.cloud.compute.v1.ScalePolicy}

#|
||Field | Description ||
|| fixed_scale | **[FixedScale](#yandex.cloud.compute.v1.ScalePolicy.FixedScale)**

Includes only one of the fields `fixed_scale`. ||
|#

## FixedScale {#yandex.cloud.compute.v1.ScalePolicy.FixedScale}

#|
||Field | Description ||
|| size | **int64** ||
|#